package com.ruoyi.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.SampleManagement;
import com.ruoyi.web.request.SampleManagementRequest;

/**
 * 样品管理Service接口
 * 
 * @author ruoyi
 * @date 2024-01-29
 */
public interface SampleManagementService extends IService<SampleManagement>
{
    /**
     * 查询样品管理
     * 
     * @param id 样品管理主键
     * @return 样品管理
     */
    public SampleManagement selectSampleManagementById(Long id);

    /**
     * 查询样品管理列表
     * 
     * @param sampleManagementRequest 样品管理
     * @return 样品管理集合
     */
    public List<SampleManagement> selectSampleManagementList(SampleManagementRequest sampleManagementRequest);

    /**
     * 新增样品管理
     * 
     * @param tSampleManagement 样品管理
     * @return 结果
     */
    public int insertSampleManagement(SampleManagement tSampleManagement);

    /**
     * 修改样品管理
     * 
     * @param tSampleManagement 样品管理
     * @return 结果
     */
    public int updateSampleManagement(SampleManagement tSampleManagement);

    /**
     * 删除样品管理信息
     * 
     * @param id 样品管理主键
     * @return 结果
     */
    public int deleteSampleManagementById(Long id);
}
